View Single Post
Old 03-08-07, 04:10 AM   #4
Boomer
Registered User
 
Join Date: Nov 2006
Posts: 12
Default Re: 2.6.20-rt8 kernel patch

Ok, now I get an error with this output:

Code:
Building kernel module:
-snip-

  Building modules, stage 2.
   make -f /usr/src/kernels/linux-2.6.20-rt/scripts/Makefile.modpost
     scripts/mod/modpost -m -a -i /usr/src/kernels/linux-2.6.20-rt/Module.symve
   rs -I /home/nooq/fairu/Downloads/NVIDIA-Linux-x86-1.0-9631-pkg1/usr/src/nv/M
   odule.symvers -o /home/nooq/fairu/Downloads/NVIDIA-Linux-x86-1.0-9631-pkg1/u
   sr/src/nv/Module.symvers -w vmlinux /home/nooq/fairu/Downloads/NVIDIA-Linux-
   x86-1.0-9631-pkg1/usr/src/nv/nvidia.o
   WARNING: could not find /home/nooq/fairu/Downloads/NVIDIA-Linux-x86-1.0-9631
   -pkg1/usr/src/nv/.nv-kernel.o.cmd for /home/nooq/fairu/Downloads/NVIDIA-Linu
   x-x86-1.0-9631-pkg1/usr/src/nv/nv-kernel.o
   FATAL: modpost: GPL-incompatible module nvidia.ko uses GPL-only symbol 'page
   fault_disable'
   make[4]: *** [__modpost] Error 1
   make[3]: *** [modules] Error 2
   make[2]: *** [modules] Error 2
   NVIDIA: left KBUILD.
   nvidia.ko failed to build!
   make[1]: *** [module] Error 1
   make: *** [module] Error 2
-> Error.
ERROR: Unable to build the NVIDIA kernel module.
Any ideas?
Boomer is offline   Reply With Quote